document.addEventListener('DOMContentLoaded', function () {
    // Elemente aus dem DOM auswählen
    const serverUrlInput = document.getElementById('server-url');
    const addServerButton = document.getElementById('add-server');
    const serverList = document.getElementById('server-list');
  
    // Hinzufügen eines Servers beim Klicken auf den "Hinzufügen"-Button
    addServerButton.addEventListener('click', function () {
      const serverUrl = serverUrlInput.value;
      if (serverUrl) {
        const listItem = document.createElement('li');
        listItem.textContent = serverUrl;
        serverList.appendChild(listItem);
  
        // Hier können Sie den ServerUrl speichern oder an eine Backend-API senden
        // um die Server für die Überwachung in der Erweiterung zu verwenden
        chrome.storage.local.get({ serverUrls: [] }, function (data) {
          const serverUrls = data.serverUrls;
          serverUrls.push(serverUrl);
          chrome.storage.local.set({ serverUrls: serverUrls });
        });
      }
    });
  });
  